twitter4j

## Interface QueryResult

All Superinterfaces:
  Serializable, TwitterResponse

    public interface QueryResult
    extends TwitterResponse, Serializable

A data interface representing search API response

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getCompletedIn()`
`int` `getCount()`
`long` `getMaxId()`
`String` `getQuery()`
`String` `getRefreshURL()`
`long` `getSinceId()`
`List<Status>` `getTweets()`
`boolean` `hasNext()` test if there is next page
`Query` `nextQuery()` Returns a Query instance to fetch next page or null if there is no next page.

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Method Detail

#### getSinceId

    long getSinceId()

#### getMaxId

    long getMaxId()

#### getRefreshURL

    String getRefreshURL()

#### getCount

    int getCount()

#### getCompletedIn

    double getCompletedIn()

#### getQuery

    String getQuery()

#### getTweets

    List<Status> getTweets()

#### nextQuery

    Query nextQuery()

Returns a Query instance to fetch next page or null if there is no next page.

Returns:
  Query instance to fetch next page
Since:
  Twitter4J 3.0.0

#### hasNext

    boolean hasNext()

test if there is next page

Returns:
  if there is next page
Since:
  Twitter4J 3.0.0